{ config, pkgs, ... }:

{
	imports = 
		[
			./shares.nix
			./sops.nix
		];

	nix.settings.experimental-features = [ "nix-command" "flakes" ];
	time.timeZone = "America/New_York";
	i18n.defaultLocale = "en_US.UTF-8";
	i18n.extraLocaleSettings = {
		LC_ADDRESS = "en_US.UTF-8";
		LC_IDENTIFICATION = "en_US.UTF-8";
		LC_MEASUREMENT = "en_US.UTF-8";
		LC_MONETARY = "en_US.UTF-8";
		LC_NAME = "en_US.UTF-8";
		LC_NUMERIC = "en_US.UTF-8";
		LC_PAPER = "en_US.UTF-8";
		LC_TELEPHONE = "en_US.UTF-8";
		LC_TIME = "en_US.UTF-8";
	};

	nixpkgs.config.allowUnfree = true;
	environment.variables.EDITOR = "nvim";

	programs.gnupg.agent = {
		enable = true;
		enableSSHSupport = true;
	};

	networking = {
		hosts = {
			"10.0.0.76" = [ "nas nas.lan" ];
			"10.0.0.125" = [ "git" "git.lan" ];
			"10.0.0.153" = [ "samphone" "samphone.lan" ];
			"10.0.0.223" = [ "pve" "pve.lan" ];
			"10.0.0.39" = [ "chronos" "chronos.lan" ];
			"10.0.0.78" = [ "pyshelf" "pyshelf.lan" ];
			"10.0.0.121" = [ "titan" "titan.lan" ];
			"10.0.0.107" = [ "psql" "psql.lan" ];
			"10.0.0.99" = [ "jelly" "jelly.lan" ];
			"10.0.0.207" = [ "sync" "sync.lan" ];
			"10.0.0.14" = [ "radios" "radios.lan" ];
			"10.0.0.172" = [ "vault" "vault.lan" ];
			"10.0.0.109" = [ "adguard" "adguard.lan" ];
			"10.0.0.50" = [ "dashy" "dashy.lan" ];
		};
	};
}
